package structs

type SyncProgressEvent struct {
	// The current step of the sync process.
	Step string `json:"step"`
	// The current percent done of the sync process.
	PercentDone int `json:"percent_done"`
	// The current count of the current step of the sync process.
	Count int `json:"current_count"`
	// The total count of the current step of the sync process.
	TotalCount int `json:"total_count"`
	// Are we complete?
	Complete bool `json:"complete"`
}

type PasteDataReply struct {
	// The ID of the paste.
	Id      string `json:"id"`

	// The content of the paste.
	Content string `json:"content"`
}

type PastePutResponse struct {
	// If Error is not empty, the request failed.
	Error   string         `json:"error"`

	// If the request was successful, this will of type PasteDataReply.
	// If the request was not successful, this will be empty.
	Payload PasteDataReply `json:"payload"`
}

type PastePayload struct {
	Content string `json:"content"`
}
